summaryrefslogtreecommitdiff
path: root/media-sound/mpd/files/mpd-0.21.4.init
diff options
context:
space:
mode:
Diffstat (limited to 'media-sound/mpd/files/mpd-0.21.4.init')
-rw-r--r--media-sound/mpd/files/mpd-0.21.4.init32
1 files changed, 32 insertions, 0 deletions
diff --git a/media-sound/mpd/files/mpd-0.21.4.init b/media-sound/mpd/files/mpd-0.21.4.init
new file mode 100644
index 000000000000..7f0950c62938
--- /dev/null
+++ b/media-sound/mpd/files/mpd-0.21.4.init
@@ -0,0 +1,32 @@
+#!/sbin/openrc-run
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+: CFGFILE=${CFGFILE:=/etc/mpd.conf}
+
+depend() {
+ need localmount
+ use net netmount nfsmount alsasound esound pulseaudio
+ config ${CFGFILE}
+}
+
+get_config() {
+ x=$1
+ test -e ${CFGFILE} || return 1
+ sed -n \
+ -e '/^[ \t]*'${x}'/{s:^[ \t]*'${x}'[ \t]\+"\?\([^#"]\+\)[^"]*"\?$:\1: ; p }' \
+ ${CFGFILE}
+}
+
+extra_started_commands='reload'
+command=/usr/bin/mpd
+command_args=${CFGFILE}
+required_files=${CFGFILE}
+pidfile=$(get_config pid_file)
+description="Music Player Daemon"
+
+reload() {
+ ebegin "Reloading ${RC_SVCNAME}"
+ start-stop-daemon --pidfile ${pidfile} --signal HUP
+ eend $?
+ }